Xem hóa đơn dạng file PDF
GET /<provider>/view-print-invoice
API dùng để xem hóa đơn đã xuất dạng file PDF.
Headers
| Name | Required | Description |
|---|---|---|
Authorization | ✅ | Bearer token_truy_cap |
Content-Type | ✅ | application/json |
X-Tax-Code | ✅ | Mã số thuế người bán. |
Query Parameters
| Name | Required | Description |
|---|---|---|
id | ✅ | Trường vpid hoặc sid (ưu tiên vpid). Đối với Misa dùng trường search_code (mã tra cứu). |
stax | ✅ | Mã số thuế người bán. |
template_code | Mã mẫu hóa đơn (Viettel). | |
from_pos | Có phải là hóa đơn phát hành từ máy tính tiền (Misa). |
- cURL
- Response
curl --location 'https://stag-invoice-hub.atomsolution.vn/m-invoice/view-print-invoice?id=3a1bafb9-4889-9c3c-802b-d3af714d2dc6' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998'
{
"success": true,
"data": {
"pdf_url": "https://storage.atomsolution.vn/invoices/abc-123.pdf"
}
}